Subject: Re: [PATCH v2] net: fec: fix conversion to gpiod API

From: Dmitry Torokhov <[email-masked]>
Date: Wed, 1 Feb 2023 10:25:15 -0800

On Wed, Feb 01, 2023 at 07:04:29PM +0100, Andrew Lunn wrote:
> On Tue, Jan 31, 2023 at 07:23:16PM -0800, Dmitry Torokhov wrote:
> > The reset line is optional, so we should be using devm_gpiod_get_optional()
> > and not abort probing if it is not available. Also, there is a quirk in
> > gpiolib (introduced in b02c85c9458cdd15e2c43413d7d2541a468cde57) that
> > transparently handles "phy-reset-active-high" property. Remove handling
> > from the driver to avoid ending up with the double inversion/flipped
> > logic.
> > 
> > Fixes: 468ba54bd616 ("fec: convert to gpio descriptor")
> > Signed-off-by: Dmitry Torokhov <[email-masked]>
> 
> Please split this into two:
> 
> 1) Fix for it being optional
> 2) Removing support for phy-reset-active-high
> 
> The breakage is in net-next, so we are not in a rush, and we don't
> need a minimum of patches. So since this is two logical changes, it
> should be two patches.

Hm, so you want the driver be still broken after changing the call to be
devm_gpiod_get_optional()? Because you can not have this driver use
gpiod API and keep parsing 'phy-reset-active-high' (by the driver
itself).

OK, I suppose I can do that...

> 
> Please also update the binding document to indicate that
> 'phy-reset-active-high' is no longer deprecated, it has actually been
> removed. So we want the DT checking tools to error out if such a
> property is found.

We still parse 'phy-reset-active-high', just parsing happens elsewhere
(in gpiolib), so it is not an error to have it in a binding.

Thanks.

-- 
Dmitry